Name:           mate-utils
Version:        1.5.0
Release:        1%{?dist}
Summary:        MATE utility programs

License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

# 1 = build, undef = dont build
%define gdict_applet 1

BuildRequires:  desktop-file-utils
BuildRequires:  hardlink
BuildRequires:  mate-common
BuildRequires:  pkgconfig(e2p)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libgtop-2.0)
%if 0%{?gdict_applet:1}
BuildRequires:  mate-panel-devel
%endif
BuildRequires:  mate-desktop-devel
BuildRequires:  mate-doc-utils
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  popt-devel
BuildRequires:  rarian-compat
BuildRequires:  usermode
BuildRequires:  gsettings-desktop-schemas-devel

%description
The mate-utils package contains a set of small "desk accessory" utility
applications for MATE, such as a dictionary, a disk usage analyzer,
a screenshot tool and others.

%package devel
Summary: Development files for mate-utils
Requires:  %{name}%{?_isa} = %{version}-%{release}
%description devel
The mate-utils-devel package contains header files and other resources
needed to develop programs using the libraries contained in mate-utils.

%package -n mate-system-log
Summary: A log file viewer for the MATE desktop
Requires: usermode
%description -n mate-system-log
The mate-system-log package contains an application that lets you
view various system log files.


%prep
%setup -q
#%if 0%{?gdict_applet:1}
#sed -i -e 's@libmatepanelapplet-2.0@libmatepanelapplet-4.0@g' configure.ac
#%endif
NOCONFIGURE=1 ./autogen.sh


%build
%configure \
        --disable-static \
        --disable-scrollkeeper \
        --disable-schemas-compile \
        --enable-gdict-applet%{!?gdict_applet:=no}

#sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

make V=1 %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install 

# make mate-system-log use consolehelper until it starts using polkit
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat <<EOF >%{buildroot}%{_sysconfdir}/pam.d/mate-system-log
#%%PAM-1.0
auth      include      config-util
account      include      config-util
session      include      config-util
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat <<EOF >%{buildroot}%{_sysconfdir}/security/console.apps/mate-system-log
USER=root
PROGRAM=/usr/sbin/mate-system-log
SESSION=true
FALLBACK=true
EOF

mkdir -p  %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/mate-system-log %{buildroot}%{_sbindir}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/mate-system-log

rm -fv $RPM_BUILD_ROOT%{_libdir}/*.la

desktop-file-install --vendor ""                     \
  --delete-original                                  \
  --remove-category="MATE"                           \
  --add-category="X-Mate"                            \
  --dir %{buildroot}%{_datadir}/applications      \
  %{buildroot}%{_datadir}/applications/*

# save space by linking identical images in translated docs
hardlink -c -v %{buildroot}%{_datadir}/mate/help

%find_lang %{name} --with-gnome
%find_lang mate-disk-usage-analyzer --with-gnome
%find_lang mate-dictionary --with-gnome
%find_lang mate-search-tool --with-gnome
%find_lang mate-system-log --with-gnome

cat mate-disk-usage-analyzer.lang >> %{name}.lang
cat mate-dictionary.lang >> %{name}.lang
cat mate-search-tool.lang >> %{name}.lang

%post
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%post -n mate-system-log
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n mate-system-log

%posttrans -n mate-system-log


%files -f %{name}.lang
%doc COPYING NEWS README
%doc mate-dictionary/AUTHORS
%doc mate-dictionary/README
%doc baobab/AUTHORS
%doc baobab/README
%{_bindir}/mate-dictionary
%{_bindir}/mate-panel-screenshot
%{_bindir}/mate-screenshot
%{_bindir}/mate-search-tool
%{_bindir}/mate-disk-usage-analyzer
%{_datadir}/applications/mate-dictionary.desktop
%{_datadir}/applications/mate-screenshot.desktop
%{_datadir}/applications/mate-search-tool.desktop
%{_datadir}/applications/mate-disk-usage-analyzer.desktop
%{_datadir}/mate-dict/
%{_datadir}/mate-dictionary/
%{_datadir}/mate-screenshot/
%{_datadir}/mate-disk-usage-analyzer/
%{_datadir}/pixmaps/mate-search-tool/
%{_libdir}/libmatedict.so.*
%if 0%{?gdict_applet}
%{_libexecdir}/mate-dictionary-applet
%endif
%{_mandir}/man1/mate-dictionary.1.*
%{_mandir}/man1/mate-search-tool.1.*
%{_mandir}/man1/mate-screenshot.1.*
%{_mandir}/man1/mate-disk-usage-analyzer.1.*
%{_datadir}/icons/mate/*/apps/baobab.*
%{_datadir}/mate/help/mate-dictionary/
%{_datadir}/mate/help/mate-disk-usage-analyzer/
%{_datadir}/mate/help/mate-search-tool/
%{_datadir}/MateConf/gsettings/mate-dictionary.convert
%{_datadir}/MateConf/gsettings/mate-disk-usage-analyzer.convert
%{_datadir}/MateConf/gsettings/mate-screenshot.convert
%{_datadir}/MateConf/gsettings/mate-search-tool.convert
%{_datadir}/MateConf/gsettings/mate-system-log.convert
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet


%files devel
%{_libdir}/libmatedict.so
%{_libdir}/pkgconfig/mate-dict.pc
%{_includedir}/mate-dict/


%files -n mate-system-log -f mate-system-log.lang
%doc COPYING
%{_bindir}/mate-system-log
%{_sbindir}/mate-system-log
%{_sysconfdir}/security/console.apps/mate-system-log
%{_sysconfdir}/pam.d/mate-system-log
%{_datadir}/mate-utils/
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/applications/mate-system-log.desktop
%{_datadir}/mate/help/mate-system-log/
%{_mandir}/man1/mate-system-log.1.*


%changelog
* Mon Feb 18 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Update to latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 1.4.0-7
- gdict_applet option (don't build by default)
- minor cleanup

* Fri Dec 07 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-6
- revert -5 changes (#884886)

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-4
- rebuild for 1.5.0
- drop gdict-applet till upstream fixes it

* Mon Nov 05 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-3
- sort out lang file mess
- link identical immages in help to save space
- fix directory ownership of help files
- add build requires mate-conf-devel
- add build requires desktop-file-utils

* Sun Nov 04 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- add build requires popt-devel

* Tue Oct 23 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build

